Bug 568473 - boot failure "fsck: /lib64/libblkid.so.1: no version information available (required by fsck)"
Summary: boot failure "fsck: /lib64/libblkid.so.1: no version information available (r...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux-ng
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-25 19:33 UTC by gb
Modified: 2010-03-09 05:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 05:57:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description gb 2010-02-25 19:33:08 UTC
Description of problem: After up and running for about two weeks I attempt to reboot the box, now it is failing to boot. I am getting of error message of "fsck: /lib64/libblkid.so.1: no version information available (required by fsck)" it attempts to drop to the shell with a prompt for "root password or press ctrl-D to continue" but ANY key that is pressed generate the same message again so I am unable to get to the shell. 

The Fedora instance has the latest updates of Fedora 11.

Comment 1 Karel Zak 2010-02-25 23:18:31 UTC
Please, try to add "fastboot" to the kernel command line (in grub shell) to skip fsck or try to boot into rescue mode to get the shell:

  http://docs.fedoraproject.org/install-guide/f11/en-US/html/s1-rescuemode-boot.html


Anyway, F-11, it means util-linux-ng-2.14.2-11.fc11, right?

Please, try:

 rpm -qf /lib64/libblkid.so.1
 rpm -qf /sbin/fsck
 rpm -q util-linux-ng e2fsprogs

it seems that you have the fsck compiled against libblkid with symbols versioning -- that's strange, because such thing is available in F-12 and F-13, please try:

 readelf -a /sbin/fsck | grep FUNC | grep blkid

Comment 2 gb 2010-02-26 17:00:56 UTC
your comments about the symbols versioning related to F-12 make me recalled that I was doing some testing the other day with a FC-12 instance with some new hard drives that is suppose to support the 4KB sectors.. long story short I compiled the 2.17 util-linux-ng on the wrong machine..after realizing my error.. I used yum to reinstall the 2.14 util-linux-ng package on FC-11. the info requested. thanks in advance...

[somebody@dragon-lx ~]$ rpm -qf /lib64/libblkid.so.1
e2fsprogs-libs-1.41.4-12.fc11.x86_64

[somebody@dragon-lx ~]$ rpm -qf /sbin/fsck
e2fsprogs-1.41.4-12.fc11.x86_64

[somebody@dragon-lx ~]$ rpm -q util-linux-ng e2fsprogs
util-linux-ng-2.14.2-11.fc11.x86_64
e2fsprogs-1.41.4-12.fc11.x86_64

[somebody@dragon-lx ~]$ readelf -a /sbin/fsck | grep FUNC | grep blkid
     1: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_free_probe (2)
     3: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_new_probe (2)
    10: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_set_device (2)
    15: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_set_superbloc (4)
    26: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_parse_tag_string (5)
    31: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_put_cache (5)
    35: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_do_safeprobe (2)
    43: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_lookup_value (2)
    45: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_evaluate_tag (2)
    64: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_enable_superb (4)
    69: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_known_fstype (5)
    88: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_free_probe@@BLKID_2
    90: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_new_probe@@BLKID_2.
   100: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_set_device@@B
   108: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_set_superbloc
   121: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_parse_tag_string@@B
   130: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_put_cache@@BLKID_1.
   138: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_do_safeprobe@@BLKID
   151: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_lookup_value@
   154: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_evaluate_tag@@BLKID
   193: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_probe_enable_superb
   204: 0000000000000000     0 FUNC    GLOBAL DEFAULT  UND blkid_known_fstype@@BLKID

Comment 3 Karel Zak 2010-03-02 12:03:31 UTC
(In reply to comment #2)
> your comments about the symbols versioning related to F-12 make me recalled
> that I was doing some testing the other day with a FC-12 instance with some new
> hard drives that is suppose to support the 4KB sectors.. long story short I
> compiled the 2.17 util-linux-ng on the wrong machine..after realizing my
> error.. I used yum to reinstall the 2.14 util-linux-ng package on FC-11. the
> info requested. thanks in advance...

 Yes, you have 

> [somebody@dragon-lx ~]$ rpm -qf /lib64/libblkid.so.1
> e2fsprogs-libs-1.41.4-12.fc11.x86_64

 libblkid from e2fsprogs, but your fsck

> [somebody@dragon-lx ~]$ readelf -a /sbin/fsck | grep FUNC | grep blkid
[...]
> blkid_probe_set_superbloc (4)

 is compiled against libblkid from util-linux-ng 2.17 (from upstream/rawhide/F-13).

 Sorry, but it really does not seem like a distribution bug. You need to reinstall util-linxu-ng and e2fsprogs. Currently, on your disk is horrible mess.

 Try:  yum downgrade <package>

Comment 4 gb 2010-03-09 05:57:09 UTC
your right about the mess.. I have been upgrading this system for about 4 or 5 FC releases. Closing the ticket. I remedy the issue by removing the /usr/lib64/libblkid.so.1.1.0 and /usr/lib64/libuuid.so.1.3.0.


Note You need to log in before you can comment on or make changes to this bug.